#ifndef __GRAPH_ADJACENCY_LIST_H__
#define __GRAPH_ADJACENCY_LIST_H__

#include "graph.h"

/**
 * Create a graph represented by an adjacency list.
 *
 * @arg @c sort Whether to sort the individual edge lists.
 */
graph *graph_adjacency_list_create(int V, bool directed, bool sort);

void graph_adjacency_list_dump(graph *);

#endif // #ifndef __GRAPH_ADJACENCY_LIST_H__
