#ifndef __GRAPH_IO_H__
#define __GRAPH_IO_H__

#include <stdio.h>

#include "graph.h"

graph *graph_read_file(FILE *fp);
graph *graph_read_path(const char *path);

void graph_write_file(FILE *fp, graph *G);
void graph_write_path(const char *path, graph *G);

#endif /* #ifndef __GRAPH_IO_H__ */
