#ifndef __RANDCLUSTER_H__
#define __RANDCLUSTER_H__

#include <cs.h>

#include "util/sample.h"
#include "graph.h"

graph *sample_MoG_graph(sample_t *samp,
                        size_t ndims, size_t n, double *p, int *label,
                        size_t k, const double *pi, const double *mu,
                        const double *sigma,
                        double grapheps, double weightsigma);


cs_di *sample_MoG_laplacian(sample_t *samp,
                            size_t ndims, size_t n, double *p, int *label,
                            size_t k, const double *pi, const double *mu,
                            const double *sigma,
                            double grapheps, double weightsigma);


#endif /* #ifndef __RANDCLUSTER_H__ */
