function c = cut_cost(L, y)
    n = numel(y);
    V = zeros(n, 1);
    
    c = 0;
    for l=unique(y)
        V(y == l) = 1;
        V(y ~= l) = -1;
        V = V / norm(V);
        
        c = c + V' * L * V;
    end
end