function A = load_graph(path)
    % A = load_graph(path)

    S = load(path);
    
    V = S(1,1);
    E = S(1,2);
    dir = S(1, 3);
    
    i = S(2:end, 1) + 1;
    j = S(2:end, 2) + 1;
    v = S(2:end, 3);
    
    A = sparse(i, j, v, V, V);
    A = A - diag(diag(A));
    if ~dir
        A = max(A, A');
    end
end