function A = readbinmat(path)
  % A = readbinmat(path)
  %
  %   Reads a dense binary matrix in the form used by the Stiefel
  %   optimization code.
  %

  fp = fopen(path, 'rb');
  assert(fp ~= -1);
  sz = fread(fp, [1 2], 'uint64');
  A = fread(fp, fliplr(sz), 'double')';
  fclose(fp);
end