#ifndef __STIEFEL_OPTIM_CLIENT_H__
#define __STIEFEL_OPTIM_CLIENT_H__

#include "msg.h"
#include "block_stiefel.h"

typedef struct client_matrices client_matrices;

client_matrices *client_matrices_alloc();
void client_matrices_destroy(client_matrices *cm);

struct client_state;
double client_iter(struct client_state *st, struct itermsg *iter, double *Vout);
int client_run_socket(int sock, client_matrices *cm);

#endif /* #ifndef __STIEFEL_OPTIM_CLIENT_H__ */
