#ifndef __STIEFEL_OPTIM_SERVER_H__
#define __STIEFEL_OPTIM_SERVER_H__

#include <sys/socket.h>

#include "optim_config.h"
#include "stiefelprob.h"

/**
 * @arg @c V input/output argument.  On input the initial iterate for the
 *           optimization in row-major order.  On output the solution iterate.
 */
void server_run_sockets(const config_params *params, const stiefel_prob *prob, int sock, struct sockaddr *addr);

#endif /* #ifndef __STIEFEL_OPTIM_SERVER_H__ */
