#ifndef __STIEFEL_OPTIM_SQRT_TERM_H__
#define __STIEFEL_OPTIM_SQRT_TERM_H__

#include "objterm.h"
#include "mustlink.h"

void sqrtterm_create(termdef *def, double mult, mustlink *ml);

double sqrt_obj(const mustlink *ml, const rowset *V, const rowset *Vnbr);
void sqrt_grad(const mustlink *ml, const rowset *V, const rowset *Vnbr, double *Gk);

#endif /* #ifndef __STIEFEL_OPTIM_SQRT_TERM_H__ */
