#include <assert.h>

#include "ident.h"

cs_di *create_ident_matrix(int n)
{
  cs_di *ident;
  int i;

  // Build matrix
  ident = cs_di_spalloc(n, n, n, 1, 0);
  for(i = 0; i < n; i++) {
    ident->p[i] = i;
    ident->i[i] = i;
    ident->x[i] = 1;
  }
  ident->p[n] = n;
  assert(ident->nz == -1);

  return ident;
}
