#ifndef __STIEFEL_UTIL_NEIGHBORS_H__
#define __STIEFEL_UTIL_NEIGHBORS_H__

#include "sparsemat.h"

/**
 * @arg @c nnbr Output argument, the number of neighbors found.
 * @returns An array of neighbor indices
 */
int *sparsemat_neighbors(int nmat, sparsemat * const *A, int k, const int *K, int *nnbr);

#endif /* #ifndef __STIEFEL_UTIL_NEIGHBORS_H__ */
