#include <stdlib.h>

#include "randsample.h"

void randsample(int *sample, int n, int k, int replacement)
{
  int i, j, *nums, swap;

  if(replacement) {
    for(i = 0; i < k; i++) {
      sample[i] = rand() % n;
    }
  }
  else {
    // Construct an array to keep track of unsampled numbers
    nums = (int *)malloc(sizeof(int) * n);
    for(i = 0; i < n; i++) {
      nums[i] = i;
    }

    // Sample
    for(i = 0; i < k; i++) {
      j = rand() % (n - i);

      sample[i] = nums[j];
      nums[j] = nums[n - i - 1];
    }

    // Cleanup
    free(nums);
  }
}
