#ifndef __LAPLACIAN_H__
#define __LAPLACIAN_H__

#include <cs.h>
#include "graph.h"

/**
 * Construct the un-normalized Laplacian of the graph as a suitesparse matrix.
 */
cs_di *graph_laplacian(graph *G);

/**
 * Construct a normalized Laplacian of the graph as a suitesparse matrix.
 */
cs_di *graph_laplacian_sym(graph *G);

#endif /* #ifndef __LAPLACIAN_H__ */
