#include "bits/mex_interface.h"
#include "bits/mex_convert.h"
#include "bits/sparse_convert.h"

#include "util/matio.h"

void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
  char *path;
  cs_di *A;

  /* Interpret arguments */
  mex_assert(nrhs == 2);
  path = mxArrayToString(prhs[0]);
  mex_assert(path != NULL);
  A = mxArrayToSparse(prhs[1]);
  mex_assert(A != NULL);

  /* Write matrix */
  sparsemat_write_binary_path(path, A);
  
  /* Cleanup */
  /*cs_di_spfree(A);  TODO: why doesn't this work? */
}
