function writebinmat(path, A)
  % readbinmat(path, A)
  %
  %   Writes a dense binary matrix in the form used by the Stiefel
  %   optimization code.
  %
  
  sz = size(A);
  assert(length(sz) == 2);
  
  fp = fopen(path, 'wb+');
  assert(fp ~= -1);
  
  sz = fwrite(fp, [sz(1) sz(2)], 'uint64');
  fwrite(fp, A', 'double')';
  fclose(fp);
end