function writeclustering(path, idx)
    % writeclustering(path, idx)

    labels = unique(idx);
    
    p = zeros(1, numel(idx));
    for i=2:numel(labels)
        p(idx == labels(i)) = i - 1;
    end
    
    fp = fopen(path, 'w+');
    fprintf(fp, '%d ', p(1:end-1));
    fprintf(fp, '%d', p(end));
    fclose(fp);
end