#ifndef __STIEFEL_OPTIM_COLMSG_H__
#define __STIEFEL_OPTIM_COLMSG_H__

#include <stdlib.h>

#include "util/sparsemat.h"
#include "util/lazymat.h"

size_t colmsg_buflen(sparsemat *A, int n, const int *cols);
int colmsg_serialize(sparsemat *A, int n, const int *cols, size_t buflen, void *buf);
int colmsg_deserialize(lazymat *A, int n, const int *cols, size_t buflen, const void *buf);

#endif /* #ifndef __STIEFEL_OPTIM_COLMSG_H__ */
