#ifndef __STIEFEL_OPTIM_INFEAS_H__
#define __STIEFEL_OPTIM_INFEAS_H__

#include "util/sparsemat.h"

/**
 * Calculate infeasibility wrt V' * B * V contraints.
 *
 * @arg @c V n x p matrix in row-major order
 */
double genorth_infeas(sparsemat *B, int p, const double *V);

#endif /* #ifndef __STIEFEL_OPTIM_INFEAS_H__ */
