#ifndef __STIEFEL_OPTIM_MSGBUF_H__
#define __STIEFEL_OPTIM_MSGBUF_H__

#include <sys/types.h>

typedef struct msgbuf msgbuf;

msgbuf *msgbuf_create();
void msgbuf_destroy(msgbuf *buf);

int msgbuf_setlen(msgbuf *buf, size_t sz);
size_t msgbuf_getlen(msgbuf *buf);
size_t msgbuf_getalloc(msgbuf *buf);

void *msgbuf_data(msgbuf *buf);

int msgbuf_send(msgbuf *buf, int sock);
int msgbuf_recv(msgbuf *buf, int sock);

int msgbuf_senddata(int sock, size_t len, const void *data);

#endif /* #ifndef __STIEFEL_OPTIM_MSGBUF_H__ */
