from __future__ import print_function
from SCons.Script import *

def generate(env):
    conf = Configure(env)

    if not conf.CheckCHeader('f2c.h'):
        print('Missing f2c')
        Exit(1)
    if not conf.CheckLib('lapack'):
        print('Missing LAPACK')
        Exit(1)
    if not conf.CheckLib('blas'):
        print('Missing BLAS')
        Exit(1)

    conf.Finish()

def exists(env):
    return True
