from __future__ import print_function
from SCons.Script import *

def generate(env):
    conf = Configure(env)

    env.AppendUnique(CPPPATH = ['/usr/include/suitesparse'])
    if not conf.CheckLibWithHeader('cxsparse', 'cs.h', 'c'):
        print('suitesparse required')
        Exit(1)

    conf.Finish()

def exists(env):
    return True
