#ifndef __STIEFEL_LAZYMAT_H__
#define __STIEFEL_LAZYMAT_H__

#include "sparsemat.h"

/**
 * Implementation of sparse matrices where the columns are added in lazily.
 */
typedef struct lazymat lazymat;

lazymat *lazymat_create(int dims[2]);

void lazymat_col_add(lazymat *lz, int j, int nnz, const int *i, const double *v);


#endif /* #ifndef __STIEFEL_LAZYMAT_H__ */
