#ifndef __SPARSEMAT_INTERNAL_H__
#define __SPARSEMAT_INTERNAL_H__

#include "sparsemat.h"

typedef struct {
  void (*destroy)(sparsemat *M);

  sparsecol (*getcol)(sparsemat *M, int j);

} sparsemat_vtable;

struct sparsemat {
  const sparsemat_vtable *v;

  int dims[2];
};

#endif /* #ifndef __SPARSEMAT_INTERNAL_H__ */
